package com.perfectech.tis;

import android.content.Context;
import android.graphics.Color;
import android.view.View;
import android.widget.TextView;

import com.perfectech.tis.objects.Jobs;

import java.util.List;

/**
 * Created by jcairns on 5/14/15.
 */
public class JobListTextViewListAdapter  extends TextViewListAdapter<Jobs> {

    private Context context;
    private long ownerPartyId;
    private ViewHolder jobsHolder;

    public JobListTextViewListAdapter(Context context, int viewid, List<Jobs> objects) {
        super(context, viewid, objects);
        this.context = context;
    }

    protected void bindHolder(TextViewListAdapter.ViewHolder holder) {
        // Binding the holder keeps our data up to date.
        // In contrast to createHolder this method is called for all items
        // So, be aware when doing a lot of heavy stuff here.
        // we simply transfer our object's data to the list item representatives
        JobViewHolder jobsHolder = (JobViewHolder) holder;

        Jobs job = (Jobs)jobsHolder.data;

        jobsHolder.jobid.setText(job.job_num);
        jobsHolder.date.setText(job.pickup_date_time);
        //jobsHolder.importerName.setText(job.importer_name);
        switch (job.status_name.toLowerCase()) {
            case "paused":
                jobsHolder.status.setBackgroundColor(Color.YELLOW);
                break;
            case "active":
                jobsHolder.status.setBackgroundColor(Color.GREEN);
                break;
            default:
                jobsHolder.status.setBackgroundResource(R.color.LightGray);
        }
        jobsHolder.status.setText(job.status_name);
        jobsHolder.manifest.setText(job.manifest_num);
        jobsHolder.container.setText(job.container_num);
        //jobsHolder.refnote.setText(job.ref_note);
    }

    @Override
    protected TextViewListAdapter.ViewHolder createHolder(View v) {
        // createHolder will be called only as long, as the ListView is not filled
        // entirely. That is, where we gain our performance:
        // We use the relatively costly findViewById() methods and
        // bind the view's reference to the holder objects.
        TextView jobid = (TextView) v.findViewById(R.id.tvJobID);
        TextView date = (TextView) v.findViewById(R.id.tvJobDate);
        //TextView importerName = (TextView) v.findViewById(R.id.tvImporterName);
        TextView status = (TextView) v.findViewById(R.id.tvJobStatus);
        TextView manifest = (TextView) v.findViewById(R.id.tvJobManifest);
        TextView container = (TextView) v.findViewById(R.id.tvJobContainer);
        //TextView refnote = (TextView) v.findViewById(R.id.tvRefNote);

        this.jobsHolder = new JobViewHolder(jobid,date,status,manifest,container);

        return this.jobsHolder; // return our new holder
    }
}
